<template>
  <div class="online-price-preselect">
    <div class="online-price-preselect__price">
      {{ (priceForOnline.total_price / 100) | currency({ dot: 2 }) }} ₽
      <span class="online-price-preselect__vat">без НДС</span>
    </div>
    <div class="online-price-preselect__vat">
      <template v-if="priceForOnline.vat === 0">НДС не облагается</template>
      <template v-else>
        НДС
        {{
          (((priceForOnline.total_price / 100) * priceForOnline.vat) / 100)
            | currency
        }}
        ₽
      </template>
    </div>
  </div>
</template>

<script>
export default {
  name: "draftOnlinePricePreselect",

  props: {
    priceForOnline: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
@import "~common-components/src/static/css/variables";

.online-price-preselect {
  font-size: 15px;
}

.online-price-preselect__price {
  display: flex;
  align-items: flex-end;
  font-weight: bold;
  font-size: 20px;
  line-height: 24px;

  span {
    margin-top: 0;
    margin-bottom: 1px;
    margin-left: 0.5em;
    font-size: 12px;
    line-height: 14px;
  }
}

.online-price-preselect__vat {
  margin-top: 6px;
  font-weight: normal;
  font-size: 14px;
  line-height: 16px;
  letter-spacing: 0.4px;
  color: $gray-slate;
}
</style>